Package Details: mod_perl 2.0.11-5

Git Clone URL: https://aur.archlinux.org/mod_perl.git (read-only, click to copy)
Package Base: mod_perl
Description: Apache module that embeds the Perl interpreter within the server
Upstream URL: http://perl.apache.org/
Licenses: Apache
Submitter: anatolik
Maintainer: mattsday
Last Packager: mattsday
Votes: 8
Popularity: 0.103713
First Submitted: 2015-06-28 15:38
Last Updated: 2021-05-29 07:23

Pinned Comments

lb.laboon commented on 2017-09-14 16:24

A note to everyone compiling this package:

You must import PGP key AB34BA0040E92ECE into your keyring in order to validate the source package.
Please see the Arch wiki for more details: https://wiki.archlinux.org/index.php/makepkg#Signature_checking

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

ArthurBorsboom commented on 2016-06-29 11:14

Hi anatolik,

Maybe you can bump the version number of the mod_perl package, forcing the package to recompile and thus preventing the crash issue.

visit commented on 2016-06-18 21:43

Had the same issue - recompiling helps.

anatolik commented on 2016-06-18 17:27

Andreas85, try to recompile mod_perl and see if it makes any difference.

Andreas85 commented on 2016-06-18 16:52

I am using mod_perl with backuppc
i cant start apache any more. It stopps with segv in mod_perl

i think it might be the update of perl to 5.24
with 5.22 it worked with my actual configuration

Andreas

ArthurBorsboom commented on 2016-01-31 09:38

Ok. Imported the gpg key and build the package.

Starting apache does not result in a crash anymore, so sofar, so good.
Didn't test it with a perl web app though.

anatolik commented on 2016-01-31 09:20

ArthurBorsboom, read this https://wiki.archlinux.org/index.php/makepkg#Signature_checking

ArthurBorsboom commented on 2016-01-31 09:03

==> Validating source files with sha256sums...
mod_perl-2.0.9.tar.gz ... Passed
mod_perl-2.0.9.tar.gz.asc ... Skipped
undefined_symbol.patch ... Passed
perl_522.patch ... Passed
==> Verifying source file signatures with gpg...
mod_perl-2.0.9.tar.gz ... FAILED (unknown public key AB34BA0040E92ECE)
==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Makepkg was unable to build mod_perl.

lb.laboon commented on 2016-01-30 21:17

Confirmed working on my system as well!

anatolik commented on 2016-01-30 18:55

Thanks for headsup.

I added the patch to this package. Now I can start apache with mod_perl and perl 5.22. Yay!

Please test it carefully and report upstream if there are any issues.

Thanks for your help!!

Alex_5252 commented on 2016-01-30 18:22

The description Bug #101962 link https://rt.cpan.org/Public/Bug/Display.html?id=101962 published patch Perl-5.22-compatibility-take-4.patch, which fixed the problem of falls.
Check it out, please?